import React, { useState, useEffect, useMemo, useRef } from 'react';
import AutoTable from '@/components/AutoTable';
import useKeepAlive from "@/components/useKeepAlive";
import getcolumns from "./columns";
function Inoutstoragedetail() {
    let actionRef = useRef();
    const columns = useMemo(() => {
        let defcolumn = getcolumns();
        return defcolumn;
    }, []);
    return <div>
        <AutoTable
            pagetitle='出入库明细'
            columns={columns}
            path='/ta_wms_workmanship/pmInventoryInout/queryPage'
            actionRef={actionRef}
            x={2000}
        />
    </div>;
}

export default useKeepAlive(Inoutstoragedetail);