function getcolumns(setdrawer) {
    return [
        {
            title: "操作时间",
            dataIndex: "operateTime",
            key: "operateTime",
            hideInSearch: true
        },
        {
            title: "操作人",
            dataIndex: "operateUserName",
            key: "operateUserName",
            hideInSearch: true
        },
        {
            title: "物料编号",
            dataIndex: "materialCode",
            key: "materialCode"
        },
        {
            title: "物料名称",
            dataIndex: "materialName",
            key: "materialName"
        },
        {
            title: "产品型号",
            dataIndex: "productModel",
            key: "productModel",
            hideInSearch: true
        },
        {
            title: "工单号",
            dataIndex: "jobNo",
            key: "jobNo"
        },
        {
            title: "出厂编号",
            dataIndex: "factoryNo",
            key: "factoryNo"
        },
        {
            title: "合同编号",
            dataIndex: "contractNo",
            key: "contractNo",
            hideInSearch: true
        },
        {
            title: "合同名",
            dataIndex: "contractName",
            key: "contractName",
            hideInSearch: true
        },
        {
            title: "当时库存",
            dataIndex: "inventoryQuantity",
            key: "inventoryQuantity",
            hideInSearch: true,
            width:80
        },
        {
            title: "操作数量",
            dataIndex: "operateQuantity",
            key: "operateQuantity",
            hideInSearch: true,
            width:80
        },
        {
            title: "库存单位",
            dataIndex: "productionUnitName",
            key: "productionUnitName",
            hideInSearch: true,
            width:80
        },
        {
            title: "仓库名称",
            dataIndex: "storeName",
            key: "storeId",
            valueType: 'select',
            options: {
                path: '/ta_wms_auth/sysStore/selectionBoxAll',
                params: {}
            },
            fieldProps:{
                showSearch:true
            }
        },
        {
            title: "库位名称",
            dataIndex: "storePositionName",
            key: "storePositionName",
            hideInSearch: true
        },
        {
            title: "操作类型",
            dataIndex: "operateTypeName",
            key: "operateType",
            valueType:'select',
            options:[
                // {
                //     label:'空托盘调拨',
                //     value:0
                // },
                {
                    label:'生产叫料',
                    value:1
                },
                {
                    label:'产品退料',
                    value:2
                },
                // {
                //     label:'空托盘回库',
                //     value:3
                // },
                {
                    label:'检验出库',
                    value:4
                },
                {
                    label:'来料退料',
                    value:5
                },
                {
                    label:'返工叫料',
                    value:6
                },
                {
                    label:'调拨出库',
                    value:7
                },
                {
                    label:'移库出库',
                    value:8
                },
                {
                    label:'来料入库',
                    value:9
                },
                {
                    label:'生产入库',
                    value:10
                },
                {
                    label:'生产退料',
                    value:11
                },
                {
                    label:'调拨入库',
                    value:12
                },
                {
                    label:'移库入库',
                    value:13
                },
                {
                    label:'生产补叫料',
                    value:14
                }
            ],
            fieldProps:{
                showSearch:true
            }
        },
        {
            title: "相关单号",
            dataIndex: "businessNo",
            key: "businessNo"
        },
    ];
}

export default getcolumns;